Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wass.common
Class Operation_1_0

    java.lang.Object
      org.deegree.ogcwebservices.getcapabilities.Operation
          org.deegree.ogcwebservices.wass.common.Operation_1_0

All Implemented Interfaces:
  Serializable

    public class Operation_1_0

extends Operation

The bean for the 1.0 Operation.

Since:
  2.0
Version:
  2.0, $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Rutger Bezema, last edited by: $Author: mschneider $
See Also:
  Serialized Form

Constructor Summary
`Operation_1_0(String name, DCPType[] dcps, OWSDomainType[] parameters, OWSDomainType[] constraints, OWSMetadata[] metadata)`

Method Summary
`OWSDomainType[]` | `getConstraints()`
`void` | `setConstraints(OWSDomainType[] constraints)`

Methods inherited from class org.deegree.ogcwebservices.getcapabilities.Operation
`getDCPs, getMetadata, getName, getParameter, getParameters, setDCPs, setMetadata, setName, setParameters`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Operation_1_0

    public Operation_1_0(String name,
                         DCPType[] dcps,
                         OWSDomainType[] parameters,
                         OWSDomainType[] constraints,
                         OWSMetadata[] metadata)

Parameters:
  `name` - the Name of the operation
  `dcps` - the description of the request type.
  `parameters` -
  `constraints` -
  `metadata` -

Method Detail

### getConstraints

    public OWSDomainType[] getConstraints()

  Returns:
    Returns the constraints.

### setConstraints

    public void setConstraints(OWSDomainType[] constraints)

  Parameters:
    `constraints` - The constraints to set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org